
util.AddNetworkString( "dumpstermessages" )

local DUMPSTER_WEAPONS_LIST = {
	["COMMON"] = {
		"common_weapon_1",
		"common_weapon_2"
		--edit the above and/or add as many as you like
	},
	["UNCOMMON"] = {
		"uncommon_weapon_1",
		"uncommon_weapon_2"
		--edit the above and/or add as many as you like
	},
	["RARE"] = {
		"rare_weapon_1",
		"rare_weapon_2"
		--edit the above and/or add as many as you like
	}
}

hook.Add( "PlayerUse", "FishThroughDumpsters", function( ply, ent )

	if ply.NextDumpsterSearch == nil then ply.NextDumpsterSearch = 0 end
	if ply.LastAttemptedSearch == nil then ply.LastAttemptedSearch = 0 end
	
	if ent:GetClass() == "prop_dynamic" and ent:GetModel() == "models/props_junk/trashdumpster01a.mdl" then
		if ply:isArrested() then
			net.Start( "dumpstermessages" )
				net.WriteString( "jailed" )
			net.Send( ply )
		return end
	
		if ply.NextDumpsterSearch <= CurTime() then
			ent:EmitSound( "items/ammocrate_open.wav" )
			local randWep = math.random( 1, 100 )
			local wep, rar
			if randWep <= 35 then wep = table.Random( DUMPSTER_WEAPONS_LIST.COMMON ) rar = "COMMON"
			elseif randWep <= 55 then wep = table.Random( DUMPSTER_WEAPONS_LIST.UNCOMMON ) rar = "UNCOMMON"
			elseif randWep == 56 then wep = table.Random( DUMPSTER_WEAPONS_LIST.RARE ) rar = "RARE"
			else wep = "trash" end
			
			net.Start( "dumpstermessages" )
				net.WriteString( wep )
				net.WriteString( rar )
			net.Send( ply )
			
			if wep != "trash" then
				ply:Give( wep )
			end
			ply.NextDumpsterSearch = CurTime() + 180 --change this time if you dare
			ply.LastAttemptedSearch = CurTime()
			ent:EmitSound( "items/ammocrate_close.wav" )
		else
			if ply.LastAttemptedSearch + 1 <= CurTime() then
				net.Start( "dumpstermessages" )
					net.WriteString( "toofast" )
					net.WriteInt( CurTime() - ply.NextDumpsterSearch, 9 )
				net.Send( ply )
				ply.LastAttemptedSearch = CurTime()
			end
		end
	end

end )